      SUBROUTINE MAIN
      LOGICAL*1 BUFFER(512), BUF(402), UIC(25)
      LOGICAL*1 CLOWER
      INTEGER INT, FDB, I, J, K, L, M, N, FIRST, LAST, START, STOP, GROU
     *P, MEMBER
      INTEGER EQUAL
      INTEGER OPEN, GETFDB, READF
      LOGICAL*1 ACCNT(22)
      LOGICAL*1 SIXBL(7)
      LOGICAL*1 SYDEV(5)
      LOGICAL*1 LBDEV(5)
      LOGICAL*1 ST001Z(4)
      EQUIVALENCE (FIRST, BUFFER(1)), (LAST, BUFFER(3))
      DATA ACCNT(1)/76/,ACCNT(2)/66/,ACCNT(3)/48/,ACCNT(4)/58/,ACCNT(5)/
     *91/,ACCNT(6)/49/,ACCNT(7)/44/,ACCNT(8)/49/,ACCNT(9)/48/,ACCNT(10)/
     *48/,ACCNT(11)/93/,ACCNT(12)/80/,ACCNT(13)/68/,ACCNT(14)/83/,ACCNT(
     *15)/85/,ACCNT(16)/80/,ACCNT(17)/70/,ACCNT(18)/46/,ACCNT(19)/68/,AC
     *CNT(20)/65/,ACCNT(21)/84/,ACCNT(22)/0/
      DATA SIXBL(1)/32/,SIXBL(2)/32/,SIXBL(3)/32/,SIXBL(4)/32/,SIXBL(5)/
     *32/,SIXBL(6)/32/,SIXBL(7)/0/
      DATA SYDEV(1)/115/,SYDEV(2)/121/,SYDEV(3)/48/,SYDEV(4)/58/,SYDEV(5
     *)/0/
      DATA LBDEV(1)/108/,LBDEV(2)/98/,LBDEV(3)/48/,LBDEV(4)/58/,LBDEV(5)
     */0/
      DATA ST001Z(1)/37/,ST001Z(2)/52/,ST001Z(3)/114/,ST001Z(4)/0/
      INT = OPEN(ACCNT, 1)
      IF (.NOT.(INT .EQ. -3))GOTO 23000
      CALL CANT(ACCNT)
23000 CONTINUE
      JUNK = READF(BUFFER, 512, INT)
      START = FIRST
      STOP = LAST
      I=2
23002 IF (.NOT.(I .LT. START))GOTO 23004
      JUNK = READF(BUFFER, 512, INT)
23003 I=I+1
      GOTO 23002
23004 CONTINUE
23005 IF (.NOT.(I .LE. STOP))GOTO 23007
      JUNK = READF(BUFFER, 512, INT)
      IF (.NOT.(BUFFER(1) .EQ. 0))GOTO 23008
      GOTO 23006
23008 CONTINUE
      CALL SPRINT(BUF, ST001Z, BUFFER)
      CALL FOLD(BUF)
      CALL PUTSTR(BUF, -15, 2)
      I=47
      J=1 
23010 IF (.NOT.(I .LE. 50))GOTO 23012
      UIC(J) = CLOWER(BUFFER(I))
23011 I=I+1
      J=J+1 
      GOTO 23010
23012 CONTINUE
      UIC(J) = 0
      IF (.NOT.(EQUAL(UIC, SYDEV) .EQ. 1))GOTO 23013
      CALL PUTLIN(LBDEV, 2)
      GOTO 23014
23013 CONTINUE
      CALL PUTLIN(UIC, 2)
23014 CONTINUE
      CALL CPYBYT(BUFFER(9), MEMBER, 1, 0)
      CALL CPYBYT(BUFFER(10), GROUP, 1, 0)
      CALL FMTUIC(GROUP, MEMBER, UIC)
      CALL PUTLIN(UIC, 2)
      CALL PUTLIN(SIXBL, 2)
      CALL PUTLIN(UIC, 2)
      CALL PUTCH(32, 2)
      CALL PUTCH(34, 2)
      CALL PUTCH(34, 2)
      CALL PUTCH(10, 2)
23006 I=I+1
      GOTO 23005
23007 CONTINUE
      CALL CLOSE(INT)
      RETURN
      END
